Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
ktremotedb.h File Reference

remote database More...

`#include <ktcommon.h>`
`#include <ktutil.h>`
`#include <ktsocket.h>`
`#include <ktthserv.h>`
`#include <kthttp.h>`
`#include <ktrpc.h>`
`#include <ktulog.h>`
`#include <ktshlib.h>`
`#include <kttimeddb.h>`
`#include <ktdbext.h>`

## Classes
class | kyototycoon::RemoteDB
| Remote database. More...
class | kyototycoon::RemoteDB::Cursor
| Cursor to indicate a record. More...
class | kyototycoon::RemoteDB::Error
| Error data. More...
struct | kyototycoon::RemoteDB::BulkRecord
| Record for bulk operation. More...
struct | kyototycoon::RemoteDB::OrderedKey
| Key with the order.
class | kyototycoon::ReplicationClient
| Replication client. More...
## Namespaces
namespace | kyototycoon
| All symbols of Kyoto Tycoon.

## Detailed Description

remote database